Difference between revisions of "Arch MergeWalls"

From FreeCAD Documentation
Jump to: navigation, search
(Marked this version for translation)
(Marked this version for translation)
 
(13 intermediate revisions by 3 users not shown)
Line 1: Line 1:
{{Template:UnfinishedDocu}} [[Category:UnfinishedDocu]]
+
<languages/>
 
<translate>
 
<translate>
 +
<!--T:5-->
 +
{{docnav|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Module|Arch]]|IconL=Arch_CloseHoles.svg |IconC=Workbench_Arch.svg |IconR=Arch_Check.svg}}
 +
 
<!--T:1-->
 
<!--T:1-->
{{GuiCommand|Name=Arch MergeWalls|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Utilities → Merge Walls|Shortcut=|SeeAlso=}}
+
{{GuiCommand
 +
|Name=Arch MergeWalls
 +
|MenuLocation=Arch → Utilities → Merge Walls
 +
|Workbenches=[[Arch Module|Arch]]
 +
|SeeAlso=[[Arch Wall]]
 +
}}
  
 
==Description== <!--T:2-->
 
==Description== <!--T:2-->
  
 +
<!--T:6-->
 +
The [[Arch MergeWalls|MergeWalls]] tool fuses two or more selected [[Arch Wall]]s.
 +
 +
==How to use== <!--T:3-->
  
 +
<!--T:7-->
 +
# Select two or more walls.
 +
# Go to the menu {{MenuCommand|Arch → Utilities → [[Image:Arch MergeWalls.svg|16px]] Merge Walls}}.
  
==How to use== <!--T:3-->  
+
== Scripting == <!--T:8-->
 +
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].
 +
 
 +
<!--T:9-->
 +
This tool can be used in [[macros]] and from the [[Python]] console by using the following function:
 +
</translate>
 +
{{Code|code=
 +
base = joinWalls(walls, delete=False)
 +
}}
 +
<translate>
 +
 
 +
<!--T:10-->
 +
Example:
 +
</translate>
 +
{{Code|code=
 +
import FreeCAD, Draft, Arch
 +
 
 +
p1 = FreeCAD.Vector(0, 0, 0)
 +
p2 = FreeCAD.Vector(2000, 0, 0)
 +
baseline = Draft.makeLine(p1, p2)
 +
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
 +
FreeCAD.ActiveDocument.recompute()
  
 +
Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
 +
FreeCAD.ActiveDocument.recompute()
  
 +
base = Arch.joinWalls([Wall1, Wall2])
 +
}}
 +
<translate>
 +
<!--T:11-->
 +
{{docnav|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Module|Arch]]|IconL=Arch_CloseHoles.svg |IconC=Workbench_Arch.svg |IconR=Arch_Check.svg}}
  
 +
<!--T:12-->
 +
{{Arch Tools navi}}
  
 +
<!--T:13-->
 +
{{Userdocnavi}}
 
</translate>
 
</translate>
{{clear}}
 
<languages/>
 

Latest revision as of 23:42, 9 February 2019

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Previous: Arch CloseHoles.svg Close Holes
Next: Check Arch Check.svg Arrow-right.svg

Arch MergeWalls.svg Arch MergeWalls

Menu location
Arch → Utilities → Merge Walls
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Wall


Description

The MergeWalls tool fuses two or more selected Arch Walls.

How to use

  1. Select two or more walls.
  2. Go to the menu Arch → Utilities → Arch MergeWalls.svg Merge Walls.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

base = joinWalls(walls, delete=False)

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])
Arrow-left.svg Previous: Arch CloseHoles.svg Close Holes
Next: Check Arch Check.svg Arrow-right.svg